# norootforbuild

%define soname 4
Name:           libdvdread%{soname}
Summary:        Library to access video DVDs
Url:            http://www.mplayerhq.hu/
License:        GPL v2 or later
Group:          Productivity/Multimedia/Other
Version:        4.1.3
Release:        2.7
Source0:        http://www1.mplayerhq.hu/MPlayer/releases/dvdnav/libdvdread-%{version}.tar.bz2
Patch0:         libdvdread-strict-aliasing.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdvdread provides a simple foundation for reading DVD-Video images.
It offers DVD applications:

1. A simple abstraction for reading the files on a DVD image
   (dvd_reader.h).
2. A simple library for parsing the information (IFO) files
   (ifo_read.h/ifo_types.h).
3. A simple library for parsing the navigation (NAV) packets
   (nav_read.h/nav_types.h).

This allows application designers to access some of the more advanced
features of the DVD format.

libdvdread currently uses libdl to dynamically probe for libdvdcss at
runtime.  If libdvdcss is found, then it will be used to decrypt the
encrypted sections of a DVD.




Authors:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%package -n libdvdread-devel
License:        GPL v2 or later
Summary:        Development tools for programs which will use the libdvdread library 
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} glibc-devel

%description -n libdvdread-devel
The libdvdread-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the libdvdread library.

If you are going to develop programs which will manipulate DVDs, you
should install libdvdread-devel.  You'll also need to have the libdvdread
package installed.

%prep
%setup -q -n "libdvdread-%{version}"
%patch0

%build
autoreconf -f -i
%configure --disable-static --with-pic
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%__ln_s -f /usr/share/doc/licenses/md5/$(md5sum COPYING | sed 's/ .*//') COPYING
%__rm -f %{buildroot}%{_libdir}/*.la

%clean
%__rm -rf "$RPM_BUILD_ROOT"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.%{soname}
%{_libdir}/*.so.%{soname}.*

%files -n libdvdread-devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_includedir}/*
%{_libdir}/*.so
%_bindir/dvdread-config
%_libdir/pkgconfig/dvdread.pc
%_datadir/aclocal/dvdread.m4

%changelog
* Sun Oct 05 2008 Henne Vogelsang <henne@links2linux.de>
- update to 4.1.3 fork from mplayer
  * fixes regarding potential memory and resource leaks
  * added dvdread-config
  * added pkgconfig support
* Mon Feb 18 2008 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- removed ifo patch, seems to make too much trouble...
* Sat Feb 02 2008 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- changed the ifo patch from http://tobias.rautenkranz.ch/libdvdread_ifo.html
  a little bit, overwrite ifo size only, when it's a invalid size
* Wed Jan 23 2008 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- included ifo patch from http://tobias.rautenkranz.ch/libdvdread_ifo.html
* Sat Oct 07 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.7
* Fri May 05 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.6
* Sun Jan 29 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- another patch to solve segfaults with some programms like k9copy
* Tue Jan 24 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added a patch to solve the undefined symbol: UDFFindFile problem
  (hope so ;-) )
* Mon Jan 23 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.5
* Sat Jun 25 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included a patch from SuSE 9.3
* Wed Dec 01 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some cleanups
* Sat Apr 12 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Sat Feb 22 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- corrected provides entry
* Fri Feb 14 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.4
* Tue Jan 21 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Provides libdvdread2 added
* Tue Jan 21 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Some synchronisations with SuSE-spec-file
* Fri Sep 27 2002 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- changes rpm-names to make it compatible with SuSE 8.1
* Sat Jun 08 2002 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.9.3, split -develop package
* Sat Dec 29 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- added small patch
* Sat Dec 29 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- rebuild for libdvdcss 1.0.0
* Sat Oct 27 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first build & release
